Package org.codehaus.janino.util.signature

# Interface SignatureParser.Options

Enclosing class:
  `SignatureParser`

public static interface SignatureParser.Options

See Also:
  - `SignatureParser`
  - `SignatureParser(Options)`

## Method Summary

Modifier and Type
Method
Description
`String`
`beautifyPackageNamePrefix(String packageSpecifier)`
Optionally modifies package name prefixes before they are used in the various `Object.toString()` methods.

## Method Details

### beautifyPackageNamePrefix

String beautifyPackageNamePrefix(String packageSpecifier)
Optionally modifies package name prefixes before they are used in the various `Object.toString()` methods.

Parameters:
  `packageSpecifier` - E.g. `""` (the root package) or `"java.lang."`
Returns:
  The packageSpecifier, or a beautified version thereof